oath_bin2hex(3)

NAME
oath_bin2hex - API function

SYNOPSIS
#include <oath.h>

void oath_bin2hex(const char * binstr, size_t binlen, char * hexstr);

ARGUMENTS

const char * binstr
    input binary data

size_t binlen
    length of input binary data binstr

char * hexstr
    output string with hex data, must have room for 2*binlen+1.

DESCRIPTION
Convert binary data to NUL-terminated string with hex data. The output hexstr is allocated by the caller and must have room for at least 2*binlen+1, to make room for the encoded data and the terminating NUL byte.

SINCE
1.12.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. liboath home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.